<%@ Page Language="C#" AutoEventWireup="true" Inherits="_Default" Codefile="Default.aspx.cs" %>
<html xmlns="http://www.w3.org/1999/xhtml" >
	<head runat="server">
		<title>DALComp.Test.Website</title>
	</head>
	<body>
		<form id="MainForm" runat="server">
		
			<%-- There is a bug within the GridView web control if you set AutoGenerateColumns="true" and use 
				  the ObjectDataSource with objects that expose nullable types. Nullable object property won't
				  get rendered. Workaround: Define columns with BoundField to force rendering. 
				  Reference: http://www.theserverside.net/discussions/thread.tss?thread_id=39811#206099 --%>
			<asp:GridView ID="ArticleGridView" DataSourceID="ArticleDataSource" AutoGenerateColumns="false" runat="server">
				<Columns>
					<asp:BoundField DataField="Id" HeaderText="ID"/>
					<asp:BoundField DataField="Title" HeaderText="Title"/>
					<asp:BoundField DataField="Text" HeaderText="Text"/>
					<asp:BoundField DataField="Text2" HeaderText="Text2"/>
					<asp:BoundField DataField="Language" HeaderText="Language"/>
					<asp:BoundField DataField="Category" HeaderText="Category"/>
					<asp:BoundField DataField="CreatedBy" HeaderText="CreatedBy"/>
					<asp:BoundField DataField="CreatedOn" HeaderText="CreatedOn"/>
				</Columns>		
			</asp:GridView>
			<%-- DALC Article --%>
			<asp:ObjectDataSource ID="ArticleDataSource" TypeName="Parago.DAL.Article" SelectMethod="SelectAll" runat="server" />
		
			<br />
			
			<%-- Data binding is defined in code file --%>
			<asp:GridView ID="CategoryGridView" AutoGenerateColumns="false" runat="server">
				<Columns>
					<asp:BoundField DataField="Id" HeaderText="ID"/>
					<asp:BoundField DataField="Name" HeaderText="Name"/>
					<asp:BoundField DataField="Active" HeaderText="Active"/>
				</Columns>		
			</asp:GridView>
		
		</form>
	</body>
</html>
